FULLA(1)

NAME
fulla - Correct lens distortion, vignetting and chromatic aberration

SYNOPSIS
fulla [options] inputfile(s)

DESCRIPTION
Apply radial or flat-field vignetting correction as well as geometrical radial distortion and transversal chromatic aberration correction.

fulla can be used to batch correct a large number of files. Radial distortion coefficients can be read from a PTLens database (only database version 4.2 is supported).

Vignetting correction is done the same way as described in the nona script file documentation. Vignetting correction can be done based on a flat-field or a radial scaling.

Vignetting correction by flat-field division:
                        I = I / c, c = flat-field / mean(flat-field)

Radial vignetting correction:
                        I = I / c, c = a + b*r^2 + c*r^4 + d*r^6

The radial distortion correction is identical to the one implemented by PanoTools:

r_new = a*r^4 + b*r^3 + c*r^2 + d*r [1]

Since transversal chromatic aberrations (TCA) leads to differently scaled objects in the red, green and blue channel, it can be corrected by scaling the red and blue channel so that they match the green channel. Most applications, like Photoshop or Picture Window Pro offer TCA correction by linear scaling. This is equal to varying the d parameter in equation [1].

See http://hugin.sf.net/tutorials/tca for a method to determine these parameters.

OPTIONS

-g a:b:c:d
    Radial distortion coefficient for all channels, (a, b, c, d)

-b a:b:c:d
    Radial distortion coefficients for blue channel, (a, b, c, d). This is applied on top of the -g distortion coefficients, use for TCA corr

-r a:b:c:d
    Radial distortion coefficients for red channel, (a, b, c, d). This is applied on top of the -g distortion coefficients, use for TCA corr

-p  Try to read radial distortion coefficients (usually supplied using -g) from the PTLens database. The environment variable PTLENS_PROFILE should point to the profile.txt file. Since newer version of the PTLens database are incompatible with fulla, download the PTLens database from the hugin sourceforge website instead: http://www.sf.net/projects/hugin

-m Canon
    Camera manufacturer, for PTLens database query. EXIF data inside JPEG files is read, if this option is not given

-n Camera
    Camera name, for PTLens database query. EXIF data inside JPEG files is read, if this option is not given.

-l Lens
    Lens name, for PTLens database query if not specified, a list of possible lenses is displayed

-d 50
    Specify focal length in mm, for PTLens database query. EXIF data inside JPEG files is read, if this option is not given.

-s  Do not rescale the image to avoid black borders.

-f filename
    Vignetting correction by flat-field division

        I = I / c,    c = flat-field / mean(flat-field)

-c a:b:c:d
    Radial vignetting correction by division:

        I = I / c,    c = a + b*r^2 + c*r^4 + d*r^6

-i value
    Gamma of input data. used for gamma correction before and after flat-field correction

-t n
    Number of threads that should be used during processing

-h  Display help summary.

-o name
    Set output filename. If more than one image is given, the name will be uses as suffix (default suffix: _corr)

-e value
    Compression of the output files

    For JPEG output: 0-100
    For tiff output: DEFLATE, LZW
-v  Verbose

AUTHORS
Written by Pablo d'Angelo. Also contains contributions from Douglas Wilkins, Ippei Ukai, Ed Halley, Bruno Postle, Gerry Patterson and Brent Townshend.

This man page was written by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> and is licensed under the same terms as the hugin package itself.